Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos
Class APOptions

    java.lang.Object
      |
      +--com.dstc.security.kerberos.APOptions

public class APOptions
extends Object

A class to represent options which can be set with an application request to affect the way it is processed by the recipient. The two options currently defined are listed below.

APOptions is defined in RFC1510 by the ASN.1 structure

       APOptions :== BIT STRING {
                     reserved(0),
                     use-session-key(1),
                     mutual-required(2)
       }

See Also:
  `Kerberos`

Field Summary
`static int` | `MUTUAL_REQUIRED` Flag to indicate to the server that the sender requires mutual authentication
`static int` | `USE_SESSION_KEY` Flag to indicate that the presented ticket is encrypted in the session key from the server's TGT

Constructor Summary
`APOptions()` Default constructor

Method Summary
`boolean` | `mutualRequired()` Returns true if the MUTUAL-REQUIRED option is set
`void` | `reset()` Resets this APOptions so it can be re-used with a different request
`void` | `setMutualRequired()` Indicates to the server that the client requires mutual authentication and that it must respond with a KRB_AP_REP message
`void` | `setUseSessionKey()` Indicates that the ticket which is presented is encrypted in the session key from the server's TGT.
`String` | `toString()` Returns a string representation for this APOptions
`boolean` | `useSessionKey()` Returns true if the USE-SESSION-KEY option is set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USE_SESSION_KEY

    public static final int USE_SESSION_KEY

  Flag to indicate that the presented ticket is encrypted in the session key from the server's TGT

### MUTUAL_REQUIRED

    public static final int MUTUAL_REQUIRED

  Flag to indicate to the server that the sender requires mutual authentication

Constructor Detail

### APOptions

    public APOptions()

  Default constructor

Method Detail

### setUseSessionKey

    public void setUseSessionKey()

  Indicates that the ticket which is presented is encrypted in the session key from the server's TGT. Otherwise, the ticket is encrypted in the server's long-term secret key

### useSessionKey

    public boolean useSessionKey()

  Returns true if the USE-SESSION-KEY option is set

### setMutualRequired

    public void setMutualRequired()

  Indicates to the server that the client requires mutual authentication and that it must respond with a KRB_AP_REP message

### mutualRequired

    public boolean mutualRequired()

  Returns true if the MUTUAL-REQUIRED option is set

### reset

    public void reset()

  Resets this APOptions so it can be re-used with a different request

### toString

    public String toString()

  Returns a string representation for this APOptions
  Overrides:
    toString in class Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD